import React ,{ Component } from "react";
import { CPDFReaderView, ComPDFKit } from '@compdfkit_pdf_sdk/react_native';
import { Platform } from 'react-native';

class CPDFReaderViewExampleScreen extends Component {

    render() {
        var samplePDF: string = Platform.OS == 'android' ? 'file:///android_asset/test_pdf.pdf' : 'PDF_Document.pdf'
        // android file path example:
        // var samplePDF = 'file:///android_asset/PDF_Document.pdf'
        // var samplePDF = '/data/user/0/com.compdfkit.reactnative.example/cache/PDF_Document.pdf'
        // var samplePDF = 'content://xxxx/xxx.pdf'
        return (
            <CPDFReaderView 
            document={{
                path: samplePDF,
                password: '1234'
            }}
            zoomEnabled={true}
            configuration={ComPDFKit.getDefaultConfig({})}
            style={{flex : 1}}/>
        );
    }
}

export default CPDFReaderViewExampleScreen;